You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     y...@freebsd.org
Last committer: y...@freebsd.org
Ident:          $FreeBSD: head/audio/gmsynth-lv2/Makefile 464131 2018-03-10 
23:22:45Z yuri $
Log URL:        
http://thunderx1.nyi.freebsd.org/data/111arm64-default/466765/logs/gmsynth-lv2-0.3.0.log
Build URL:      
http://thunderx1.nyi.freebsd.org/build.html?mastername=111arm64-default&build=466765
Log:

=>> Building audio/gmsynth-lv2
build started at Fri Apr 13 07:19:20 UTC 2018
port directory: /usr/ports/audio/gmsynth-lv2
package name: gmsynth-lv2-0.3.0
building for: FreeBSD 111arm64-default-job-13 11.1-RELEASE FreeBSD 11.1-RELEASE 
arm64
maintained by: y...@freebsd.org
Makefile ident:      $FreeBSD: head/audio/gmsynth-lv2/Makefile 464131 
2018-03-10 23:22:45Z yuri $
Poudriere version: 3.2.6-1-ga0ae87a0
Host OSVERSION: 1200060
Jail OSVERSION: 1101001
Job Id: 13

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1101001
UNAME_v=FreeBSD 11.1-RELEASE
UNAME_r=11.1-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.6-1-ga0ae87a0
MASTERMNT=/usr/local/poudriere/data/.m/111arm64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/111arm64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=111arm64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/111arm64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
y...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf 
XDG_DATA_HOME=/wrkdirs/usr/ports/audio/gmsynth-lv2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/gmsynth-lv2/work  
HOME=/wrkdirs/usr/ports/audio/gmsynth-lv2/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/audio/gmsynth-lv2/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/audio/gmsynth-lv2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/gmsynth-lv2/work  
HOME=/wrkdirs/usr/ports/audio/gmsynth-lv2/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/audio/gmsynth-lv2/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0" 
OSREL=11.1 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib 
DOCSDIR="share/doc/gmsynth"  EXAMPLESDIR="share/examples/gmsynth"  
DATADIR="share/gmsynth"  WWWDIR="www/gmsynth"  ETCDIR="etc/gmsynth"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/gmsynth 
DOCSDIR=/usr/local/share/doc/gmsynth 
EXAMPLESDIR=/usr/local/share/examples/gmsynth  WWWDIR=/usr/local/www/gmsynth 
ETCDIR=/usr/local/etc/gmsynth
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 4.0.0 (tags/RELEASE_400/final 297347) 
(based on LLVM 4.0.0) Target: aarch64-unknown-freebsd11.1 Thread model: posix 
InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 4.0.0 (tags/RELEASE_400/final 
297347) (based on LLVM 4.0.0) Target: aarch64-unknown-freebsd11.1 Thread model: 
posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" 
"/libexec/ld-elf.so.1" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" 
"/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" 
"-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" 
"-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 4.0.0 (tags/RELEASE_400/final 
297347) (based on LLVM 4.0.0) Target: aarch64-unknown-freebsd11.1 Thread model: 
posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=aarch64
OPSYS=FreeBSD
_OSRELEASE=11.1-RELEASE
OSREL=11.1
OSVERSION=1101001
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  1048576
stack size              (kbytes, -s)  1048576
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   gmsynth-lv2-0.3.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.5.txz
[111arm64-default-job-13] Installing pkg-1.10.5...
[111arm64-default-job-13] Extracting pkg-1.10.5: .......... done
===>   gmsynth-lv2-0.3.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of gmsynth-lv2-0.3.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by gmsynth-lv2-0.3.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by gmsynth-lv2-0.3.0 for building
=> SHA256 Checksum OK for x42-gmsynth.lv2-v0.3.0_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by gmsynth-lv2-0.3.0 for building
===>  Extracting for gmsynth-lv2-0.3.0
=> SHA256 Checksum OK for x42-gmsynth.lv2-v0.3.0_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for gmsynth-lv2-0.3.0
===>  Applying FreeBSD patches for gmsynth-lv2-0.3.0
===========================================================================
=======================<phase: build-depends  >============================
===>   gmsynth-lv2-0.3.0 depends on package: lv2>0 - not found
===>   Installing existing package /packages/All/lv2-1.14.0_1.txz
[111arm64-default-job-13] Installing lv2-1.14.0_1...
[111arm64-default-job-13] `-- Installing atk-2.24.0...
[111arm64-default-job-13] |   `-- Installing gettext-runtime-0.19.8.1_1...
[111arm64-default-job-13] |   | `-- Installing indexinfo-0.3.1...
[111arm64-default-job-13] |   | `-- Extracting indexinfo-0.3.1: .... done
[111arm64-default-job-13] |   `-- Extracting gettext-runtime-0.19.8.1_1: 
.......... done
[111arm64-default-job-13] |   `-- Installing glib-2.50.3_2,1...
[111arm64-default-job-13] |   | `-- Installing libffi-3.2.1_2...
[111arm64-default-job-13] |   | `-- Extracting libffi-3.2.1_2: .......... done
[111arm64-default-job-13] |   | `-- Installing libiconv-1.14_11...
[111arm64-default-job-13] |   | `-- Extracting libiconv-1.14_11: .......... done
[111arm64-default-job-13] |   | `-- Installing pcre-8.40_1...
[111arm64-default-job-13] |   | `-- Extracting pcre-8.40_1: .......... done
[111arm64-default-job-13] |   | `-- Installing perl5-5.26.1...
[111arm64-default-job-13] |   | `-- Extracting perl5-5.26.1: .......... done
[111arm64-default-job-13] |   | `-- Installing python27-2.7.14_1...
[111arm64-default-job-13] |   |   `-- Installing readline-7.0.3_1...
[111arm64-default-job-13] |   |   `-- Extracting readline-7.0.3_1: .......... 
done
[111arm64-default-job-13] |   | `-- Extracting python27-2.7.14_1: .......... 
done
[111arm64-default-job-13] |   `-- Extracting glib-2.50.3_2,1: .......... done
No schema files found: doing nothing.
<snip>
[111arm64-default-job-13] |   `-- Installing py27-html5lib-0.9999999...
[111arm64-default-job-13] |   | `-- Installing py27-six-1.11.0...
[111arm64-default-job-13] |   | `-- Extracting py27-six-1.11.0: .......... done
[111arm64-default-job-13] |   `-- Extracting py27-html5lib-0.9999999: 
.......... done
[111arm64-default-job-13] |   `-- Installing py27-isodate-0.6.0...
[111arm64-default-job-13] |   `-- Extracting py27-isodate-0.6.0: .......... done
[111arm64-default-job-13] |   `-- Installing py27-pyparsing-2.2.0...
[111arm64-default-job-13] |   `-- Extracting py27-pyparsing-2.2.0: .......... 
done
[111arm64-default-job-13] |   `-- Installing py27-sparqlwrapper-1.8.1...
[111arm64-default-job-13] |   `-- Extracting py27-sparqlwrapper-1.8.1: 
.......... done
[111arm64-default-job-13] `-- Extracting py27-rdflib-4.2.2: .......... done
[111arm64-default-job-13] Extracting lv2-1.14.0_1: .......... done
Message from perl5-5.26.1:

The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from python27-2.7.14_1:

===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from freetype2-2.9_1:

The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).

The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:

FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
        cff:no-stem-darkening=1 \
        autofitter:warping=1

This allows to select, say, the subpixel hinting mode at runtime for a given
application.

The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/ft2-toc.html, if documentation was 
installed).
Message from ca_root_nss-3.36:

********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-0.3.14_2:

To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
Message from dejavu-2.37:

Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   gmsynth-lv2-0.3.0 depends on package: lv2>0 - found
===>   Returning to build of gmsynth-lv2-0.3.0
===>   gmsynth-lv2-0.3.0 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_2.txz
[111arm64-default-job-13] Installing gmake-4.2.1_2...
[111arm64-default-job-13] Extracting gmake-4.2.1_2: .......... done
===>   gmsynth-lv2-0.3.0 depends on executable: gmake - found
===>   Returning to build of gmsynth-lv2-0.3.0
===>   gmsynth-lv2-0.3.0 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.4.2,1.txz
[111arm64-default-job-13] Installing pkgconf-1.4.2,1...
[111arm64-default-job-13] Extracting pkgconf-1.4.2,1: .......... done
===>   gmsynth-lv2-0.3.0 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of gmsynth-lv2-0.3.0
===========================================================================
=======================<phase: lib-depends    >============================
===>   gmsynth-lv2-0.3.0 depends on shared library: libfluidsynth.so - not found
===>   Installing existing package /packages/All/fluidsynth-1.1.6_5.txz
[111arm64-default-job-13] Installing fluidsynth-1.1.6_5...
[111arm64-default-job-13] `-- Installing jackit-0.125.0_3...
[111arm64-default-job-13] |   `-- Installing celt-0.11.3_3...
[111arm64-default-job-13] |   `-- Extracting celt-0.11.3_3: .......... done
[111arm64-default-job-13] |   `-- Installing db5-5.3.28_6...
[111arm64-default-job-13] |   `-- Extracting db5-5.3.28_6: .......... done
[111arm64-default-job-13] |   `-- Installing libsamplerate-0.1.9...
[111arm64-default-job-13] |   `-- Extracting libsamplerate-0.1.9: .......... 
done
[111arm64-default-job-13] `-- Extracting jackit-0.125.0_3: .......... done
[111arm64-default-job-13] Extracting fluidsynth-1.1.6_5: .......... done
Message from jackit-0.125.0_3:

======================================================================
It is recommended to run Jack with real-time priority (-R).

The recommended way to start Jack is to add the following
lines to /etc/rc.conf:

jackd_enable="YES"
jackd_user="{your-jack-user}"
jackd_rtprio="YES"
jackd_args="-R -doss -r{sample-rate} -p1024 -n3 -w16 \
            --capture /dev/dsp{N} --playback /dev/dsp{N}"

Where:
- your-jack-user: is the user who is going to use jack; currently
                  only one user is supported
- sample-rate: can be 44100, 48000, etc.
- /dev/dsp{N}: your OSS devices, usually /dev/dsp0

Please note that the port option COOKEDMODE is "on" by default, which
makes your system to automatically scale the sample-rate between
Jack and audio hardware. One reason COOKEDMODE=on is because
Jack's OSS driver doesn't support some sample-rate and hardware
combinations when COOKEDMODE=off. To achieve the best sound quality
please make sure your hardware natively supports the sample-rate set
in jackd_args, and set COOKEDMODE=off.
======================================================================
===>   gmsynth-lv2-0.3.0 depends on shared library: libfluidsynth.so - found 
(/usr/local/lib/libfluidsynth.so)
===>   Returning to build of gmsynth-lv2-0.3.0
===>   gmsynth-lv2-0.3.0 depends on shared library: libglib-2.0.so - found 
(/usr/local/lib/libglib-2.0.so)
===>   gmsynth-lv2-0.3.0 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for gmsynth-lv2-0.3.0
===========================================================================
=======================<phase: build          >============================
===>  Building for gmsynth-lv2-0.3.0
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/audio/gmsynth-lv2/work/gmsynth.lv2-0.3.0'
Version:  -> 0 0 0 
LV2 Version: 0 0
sed "s/@LV2NAME@/gmsynth/g;s/@LIB_EXT@/.so/" \
        lv2ttl/manifest.ttl.in > build/manifest.ttl
sed "s/@LV2NAME@/gmsynth/;s/@VERSION@/lv2:microVersion 0 ;lv2:minorVersion 0 
;/g" \
        lv2ttl/gmsynth.ttl.in > build/gmsynth.ttl
cc `pkg-config --cflags --libs fluidsynth` -DHAVE_CONFIG_H -D 
DEFAULT_SOUNDFONT=\"\" -O2 -pipe  -fno-strict-aliasing -DHAVE_LV2_1_8 -msse 
-msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only 
-DNDEBUG -DVERSION="\"\"" `pkg-config --cflags lv2 glib-2.0` -fPIC 
-fvisibility=hidden -std=c99 \
  -o build/gmsynth.so src/gmsynth.c  \
  -shared -Wl,-Bstatic -Wl,-Bdynamic -Wl,--as-needed -pthread  -lm `pkg-config  
--libs glib-2.0`
error: unknown FP unit 'sse'
gmake[1]: *** [Makefile:145: build/gmsynth.so] Error 1
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/audio/gmsynth-lv2/work/gmsynth.lv2-0.3.0'
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/gmsynth-lv2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to